Bug 57806 - anaconda 7.2 still destroys solaris x86 ufs slices.
anaconda 7.2 still destroys solaris x86 ufs slices.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-23 19:08 EST by Ed McKenzie
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-21 13:21:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-12-23 19:08:55 EST
anaconda in 7.2 now looks at partition contents rather than partition type
to determine what to make into swap, which is a vast improvement over
previous releases.  Unfortunately,

1.) it still wants to turn any and all Solaris x86 slices into swap, and
2.) it mkswap'd, swapon'd, and put these partitions (all of them) in my
fstab *despite* my clicking "leave this alone" for all of them and then
clicking OK to a dialog that said those partitions would be left alone.
(Unless anaconda never shows swap partitions to be destroyed, in which case
that's another bug.)

I'd file this as an RFE for "just create swapfiles and don't destroy my
data," except I doubt it'd get far given the history of the required swap
partition RFE.  In any case, anaconda really needs to be much less
aggressive about mkswap'ing everything in sight, especially when
specifically told not to.
Comment 1 Jeremy Katz 2002-01-02 17:18:05 EST
Hmm... you should have been asked to confirm formatting them as swapping. 
Marking for fixing for the next release.
Comment 2 Michael Fulbright 2002-01-16 15:39:38 EST
If you have these slices and you run parted on the drive and print the partition
table from inside parted, what is the output?
Comment 3 Ed McKenzie 2002-01-16 15:44:05 EST
I no longer have access to the machine in question.  Is there something 

specific you're looking for?

Comment 4 Jeremy Katz 2002-04-08 17:41:23 EDT
This works just fine for me here.  I just did an install of Solaris x86 leaving
space on the disk free, and then did another install of our current test trees,
said "No" to the question about using them as swap partitions and they didn't
get mkswap'd or used as swap partitions.

Note You need to log in before you can comment on or make changes to this bug.